Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class AnnotationItemEx

    java.lang.Object
      com.sun.tdk.signaturetest.model.AnnotationItem
          com.sun.tdk.signaturetest.model.AnnotationItemEx

All Implemented Interfaces:
  java.lang.Comparable

    public class AnnotationItemEx

extends AnnotationItem

Represents Type Annotations (JSR 308)

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.model.AnnotationItem
`AnnotationItem.Member, AnnotationItem.ValueWrap`

Field Summary
`static java.lang.String` | `ANN_BOUND_IND`
`static java.lang.String` | `ANN_PARAM_IND`
`static java.lang.String` | `ANN_PATH`
`static java.lang.String` | `ANN_TARGET_TYPE`
`static java.lang.String` | `ANN_TYPE_IND`
`static java.lang.String` | `ANNOTATION_EX_PREFIX`
`static int` | `TARGET_CAST`
`static int` | `TARGET_CLASS_EXTENDS`
`static int` | `TARGET_CLASS_TYPE_PARAMETER`
`static int` | `TARGET_CLASS_TYPE_PARAMETER_BOUND`
`static int` | `TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT`
`static int` | `TARGET_CONSTRUCTOR_REFERENCE`
`static int` | `TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT`
`static int` | `TARGET_EXCEPTION_PARAMETER`
`static int` | `TARGET_FIELD`
`static int` | `TARGET_INSTANCEOF`
`static int` | `TARGET_LOCAL_VARIABLE`
`static int` | `TARGET_METHOD_FORMAL_PARAMETER`
`static int` | `TARGET_METHOD_INVOCATION_TYPE_ARGUMENT`
`static int` | `TARGET_METHOD_RECEIVER`
`static int` | `TARGET_METHOD_REFERENCE`
`static int` | `TARGET_METHOD_REFERENCE_TYPE_ARGUMENT`
`static int` | `TARGET_METHOD_RETURN`
`static int` | `TARGET_METHOD_TYPE_PARAMETER`
`static int` | `TARGET_METHOD_TYPE_PARAMETER_BOUND`
`static int` | `TARGET_NEW`
`static int` | `TARGET_RESOURCE_VARIABLE`
`static int` | `TARGET_THROWS`

Fields inherited from class com.sun.tdk.signaturetest.model.AnnotationItem
`ANNOTATION_DOCUMENTED, ANNOTATION_INHERITED, ANNOTATION_PREFIX, ANNOTATION_REPEATABLE, EMPTY_ANNOTATIONITEM_ARRAY`

Constructor Summary
`AnnotationItemEx()`
`AnnotationItemEx(int target)`

Method Summary
`AnnotationItemEx` | `addToPath(java.lang.String part)`
`int` | `getBoundIndex()`
`int` | `getParameterIndex()`
`java.lang.String` | `getPath()`
`protected java.lang.String` | `getPrefix()`
`protected java.lang.String` | `getSpecificData()`
`int` | `getTargetType()`
`boolean` | `getTracked()`
`int` | `getTypeIndex()`
`static java.lang.String` | `intToHex(int i)`
`void` | `parseBinaryDescription(java.io.DataInputStream is)`
`AnnotationItemEx` | `setBoundIndex(int boundIndex)`
`AnnotationItemEx` | `setParameterIndex(int parameterIndex)`
`AnnotationItemEx` | `setPath(java.lang.String path)`
`AnnotationItemEx` | `setTargetType(int target_type)`
`AnnotationItemEx` | `setTracked(boolean tracked)`
`AnnotationItemEx` | `setTypeIndex(int typeIndex)`

Methods inherited from class com.sun.tdk.signaturetest.model.AnnotationItem
`addMember, compareTo, equals, findByName, getMembers, getName, getTarget, hashCode, isInheritable, normaliazeAnnotation, removeMember, setInheritable, setName, setTarget, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANNOTATION_EX_PREFIX

    public static final java.lang.String ANNOTATION_EX_PREFIX

See Also:
  Constant Field Values

### TARGET_CLASS_TYPE_PARAMETER

    public static final int TARGET_CLASS_TYPE_PARAMETER

See Also:
  Constant Field Values

### TARGET_METHOD_TYPE_PARAMETER

    public static final int TARGET_METHOD_TYPE_PARAMETER

See Also:
  Constant Field Values

### TARGET_CLASS_EXTENDS

    public static final int TARGET_CLASS_EXTENDS

See Also:
  Constant Field Values

### TARGET_CLASS_TYPE_PARAMETER_BOUND

    public static final int TARGET_CLASS_TYPE_PARAMETER_BOUND

See Also:
  Constant Field Values

### TARGET_METHOD_TYPE_PARAMETER_BOUND

    public static final int TARGET_METHOD_TYPE_PARAMETER_BOUND

See Also:
  Constant Field Values

### TARGET_FIELD

    public static final int TARGET_FIELD

See Also:
  Constant Field Values

### TARGET_METHOD_RETURN

    public static final int TARGET_METHOD_RETURN

See Also:
  Constant Field Values

### TARGET_METHOD_RECEIVER

    public static final int TARGET_METHOD_RECEIVER

See Also:
  Constant Field Values

### TARGET_METHOD_FORMAL_PARAMETER

    public static final int TARGET_METHOD_FORMAL_PARAMETER

See Also:
  Constant Field Values

### TARGET_THROWS

    public static final int TARGET_THROWS

See Also:
  Constant Field Values

### TARGET_LOCAL_VARIABLE

    public static final int TARGET_LOCAL_VARIABLE

See Also:
  Constant Field Values

### TARGET_RESOURCE_VARIABLE

    public static final int TARGET_RESOURCE_VARIABLE

See Also:
  Constant Field Values

### TARGET_EXCEPTION_PARAMETER

    public static final int TARGET_EXCEPTION_PARAMETER

See Also:
  Constant Field Values

### TARGET_INSTANCEOF

    public static final int TARGET_INSTANCEOF

See Also:
  Constant Field Values

### TARGET_NEW

    public static final int TARGET_NEW

See Also:
  Constant Field Values

### TARGET_CONSTRUCTOR_REFERENCE

    public static final int TARGET_CONSTRUCTOR_REFERENCE

See Also:
  Constant Field Values

### TARGET_METHOD_REFERENCE

    public static final int TARGET_METHOD_REFERENCE

See Also:
  Constant Field Values

### TARGET_CAST

    public static final int TARGET_CAST

See Also:
  Constant Field Values

### TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT

    public static final int TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT

See Also:
  Constant Field Values

### TARGET_METHOD_INVOCATION_TYPE_ARGUMENT

    public static final int TARGET_METHOD_INVOCATION_TYPE_ARGUMENT

See Also:
  Constant Field Values

### TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT

    public static final int TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT

See Also:
  Constant Field Values

### TARGET_METHOD_REFERENCE_TYPE_ARGUMENT

    public static final int TARGET_METHOD_REFERENCE_TYPE_ARGUMENT

See Also:
  Constant Field Values

### ANN_TARGET_TYPE

    public static final java.lang.String ANN_TARGET_TYPE

See Also:
  Constant Field Values

### ANN_TYPE_IND

    public static final java.lang.String ANN_TYPE_IND

See Also:
  Constant Field Values

### ANN_BOUND_IND

    public static final java.lang.String ANN_BOUND_IND

See Also:
  Constant Field Values

### ANN_PARAM_IND

    public static final java.lang.String ANN_PARAM_IND

See Also:
  Constant Field Values

### ANN_PATH

    public static final java.lang.String ANN_PATH

See Also:
  Constant Field Values

Constructor Detail

### AnnotationItemEx

    public AnnotationItemEx(int target)

### AnnotationItemEx

    public AnnotationItemEx()

Method Detail

### parseBinaryDescription

    public void parseBinaryDescription(java.io.DataInputStream is)
                                throws java.lang.IllegalStateException,
                                       java.io.IOException

  Throws:
    `java.lang.IllegalStateException`
    `java.io.IOException`

### getTargetType

    public int getTargetType()

### setTargetType

    public AnnotationItemEx setTargetType(int target_type)

### getTracked

    public boolean getTracked()

### setTracked

    public AnnotationItemEx setTracked(boolean tracked)

### getPath

    public java.lang.String getPath()

### setPath

    public AnnotationItemEx setPath(java.lang.String path)

### addToPath

    public AnnotationItemEx addToPath(java.lang.String part)

### getParameterIndex

    public int getParameterIndex()

### setParameterIndex

    public AnnotationItemEx setParameterIndex(int parameterIndex)

### getBoundIndex

    public int getBoundIndex()

### setBoundIndex

    public AnnotationItemEx setBoundIndex(int boundIndex)

### getTypeIndex

    public int getTypeIndex()

### setTypeIndex

    public AnnotationItemEx setTypeIndex(int typeIndex)

### getSpecificData

    protected java.lang.String getSpecificData()

  Overrides:
    `getSpecificData` in class `AnnotationItem`

### intToHex

    public static java.lang.String intToHex(int i)

### getPrefix

    protected java.lang.String getPrefix()

  Overrides:
    `getPrefix` in class `AnnotationItem`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD